_Elm_Gen_Item_Class_Functions Struct Reference

Elementary genlist/gengrid callback functions data structure. More...

`#include <elm_gen.h>`

## Data Fields

Elm_Gen_Item_Text_Get_Cb | text_get
| Text fetching class function for genlist/gengrid item classes.
Elm_Gen_Item_Content_Get_Cb | content_get
| Content fetching class function for genlist/gengrid item classes.
Elm_Gen_Item_State_Get_Cb | state_get
| State fetching class function for genlist/gengrid item classes.
Elm_Gen_Item_Del_Cb | del
| Deletion class function for genlist/gengrid item classes.
Elm_Gen_Item_Filter_Get_Cb | filter_get
| Filter seeking class function for genlist/gengrid item classes.
Elm_Gen_Item_Reusable_Content_Get_Cb | reusable_content_get
| Reusable content get class function for gen item classes.

## Detailed Description

Elementary genlist/gengrid callback functions data structure.